Skip to main content
`Ctrl`+`K`

# TSSundialsSetTolerance

Sets the absolute and relative tolerance used by `TSSUNDIALS` for error control.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetTolerance(TS ts, PetscReal aabs, PetscReal rel)

Logically Collective

## Input Parameters

- ts - the time-step context

- aabs - the absolute tolerance

- rel - the relative tolerance

See the CVODE/SUNDIALS users manual for exact details on these parameters. Essentially these regulate the size of the error for a SINGLE timestep.

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetGMRESMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

intermediate

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetTolerance_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages